# Uses of Class
org.eclipse.draw2d.KeyEvent

Packages that use KeyEvent
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of KeyEvent in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
Figure.`handleKeyPressed(KeyEvent event)`
`void`
IFigure.`handleKeyPressed(KeyEvent event)`
Called when a key is pressed while this IFigure has focus.
`void`
Figure.`handleKeyReleased(KeyEvent event)`
`void`
IFigure.`handleKeyReleased(KeyEvent event)`
Called when a key is released while this IFigure has focus.
`void`
KeyListener.`keyPressed(KeyEvent ke)`
Called when a key is pressed.
`void`
KeyListener.Stub.`keyPressed(KeyEvent ke)`
`void`
KeyListener.`keyReleased(KeyEvent ke)`
Called when a key is released.
`void`
KeyListener.Stub.`keyReleased(KeyEvent ke)`